commit 894295ada02dded2366435139fbb2fe27989a672
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Dec 11 01:18:09 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index fa936bb21e6..bed72424417 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211210
+20211211
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 374b35855ed..775ccdd48fa 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,10 @@
+2021-12-10  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2021-12-10  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* decl.cc (get_symbol_decl): Align methods to MINIMUM_METHOD_BOUNDARY.
+
 2021-11-29  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 56334764be8..2cf6fab0698 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2021-12-10  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-08  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103610
+	* array.c (spec_dimen_size): Fix simplification of SHAPE:
+	dimensions must be non-negative.
+
 2021-12-09  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 5c4441369fe..8c2e90cdf50 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-12-10  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-08  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103610
+	* gfortran.dg/shape_11.f90: New test.
+
 2021-12-09  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index dff7d33a507..dad3f81bda7 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,16 @@
+2021-12-10  Thomas Rodgers  <rodgert@twrodgers.com>
+
+	Backported from master:
+	2021-12-10  Thomas Rodgers  <rodgert@twrodgers.com>
+
+	PR libstdc++/102994
+	* include/bits/atomic_base.h (__atomic_base<_PTp*>::wait()):
+	Add const qualifier.
+	* include/std/atomic (atomic<_Tp*>::wait(), atomic_wait()):
+	Likewise.
+	* testsuite/29_atomics/atomic/wait_notify/102994.cc:
+	New test.
+
 2021-11-26  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

